Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.context.externalize
Class MessageExternalizeUtils

    java.lang.Object
      org.apache.axis2.context.externalize.MessageExternalizeUtils

All Implemented Interfaces:
  ExternalizeConstants

    public class MessageExternalizeUtils

extends Object
implements ExternalizeConstants

Utility to read/write the Message of a MessageContext Message Object Format. `Format := Prolog {DataBlocks} EndBlocks Prolog := NAME (UTF) REVISION (INT) ACTIVE (BOOL) [OPTIMIZED (BOOL)] [OPTIMIZED_CONTENT_TYPE (UTF)] <--- If OPTIMIZED=TRUE [CHARSET (UTF)] [NAMESPACE (UTF)] DataBlock := SIZE (INT >0) DATA (BYTES) EndBlocks SIZE (INT) {0 indicates end -1 indicates failure}`

Field Summary

Fields inherited from interface org.apache.axis2.context.externalize.ExternalizeConstants
`ACTIVE_OBJECT, EMPTY_MARKER, EMPTY_OBJECT, LAST_ENTRY, OBJ_RESTORE_PROBLEM, OBJ_SAVE_PROBLEM, UNSUPPORTED_REVID, UNSUPPORTED_SUID`

Method Summary
`static org.apache.axiom.soap.SOAPEnvelope` | `readExternal(ObjectInput in, MessageContext mc, String correlationIDString)` Read the Message
`static void` | `writeExternal(ObjectOutput out, MessageContext mc, String correlationIDString, org.apache.axiom.om.OMOutputFormat outputFormat)` Write out the Message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeExternal

    public static void writeExternal(ObjectOutput out,
                                     MessageContext mc,
                                     String correlationIDString,
                                     org.apache.axiom.om.OMOutputFormat outputFormat)
                              throws IOException

  Write out the Message

  Parameters:
    `out` -
    `mc` -
    `correlationIDString` -
    `outputFormat` -
  Throws:
    `IOException`

### readExternal

    public static org.apache.axiom.soap.SOAPEnvelope readExternal(ObjectInput in,
                                                                  MessageContext mc,
                                                                  String correlationIDString)
                                                           throws IOException,
                                                                  ClassNotFoundException

  Read the Message

  Parameters:
    `in` -
    `mc` -
    `correlationIDString` -
  Returns:
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.